'use client';
var jsxRuntime = require('react/jsx-runtime');
var reactUtils = require('@gateweb/react-utils');
var iconsMaterial = require('@mui/icons-material');
var material = require('@mui/material');
require('@mui/material/Button');
require('@mui/material/CircularProgress');
require('react');
var IconButtonClient = require('./IconButton-client-ih4guhCY.js');

const FileList = ({ files, handleDeleteFile })=>/*#__PURE__*/ jsxRuntime.jsx(material.Stack, {
        spacing: 1,
        children: files.map((file)=>/*#__PURE__*/ jsxRuntime.jsxs(material.Stack, {
                spacing: 1,
                direction: "row",
                justifyContent: "space-between",
                alignItems: "center",
                sx: {
                    '&:hover': {
                        borderRadius: 2,
                        backgroundColor: 'grey.100'
                    },
                    p: 1
                },
                children: [
                    /*#__PURE__*/ jsxRuntime.jsx(material.Avatar, {
                        sx: {
                            fontSize: '0.75rem',
                            bgcolor: 'inherit',
                            color: 'primary.main',
                            border: 1,
                            borderColor: 'primary.main'
                        },
                        children: file.file.name.split('.').pop()?.toLocaleUpperCase()
                    }),
                    /*#__PURE__*/ jsxRuntime.jsxs(material.Box, {
                        sx: {
                            overflow: 'hidden',
                            width: '100%'
                        },
                        children: [
                            /*#__PURE__*/ jsxRuntime.jsx(material.Typography, {
                                fontWeight: "bold",
                                sx: {
                                    overflow: 'hidden',
                                    textOverflow: 'ellipsis',
                                    whiteSpace: 'nowrap'
                                },
                                children: file.file.name
                            }),
                            /*#__PURE__*/ jsxRuntime.jsx(material.Typography, {
                                fontSize: "0.75rem",
                                color: "text.secondary",
                                children: reactUtils.formatBytes(file.file.size)
                            })
                        ]
                    }),
                    /*#__PURE__*/ jsxRuntime.jsx(IconButtonClient.IconButton, {
                        size: "small",
                        onClick: ()=>handleDeleteFile(file.id),
                        children: /*#__PURE__*/ jsxRuntime.jsx(iconsMaterial.DeleteOutline, {})
                    })
                ]
            }, file.id))
    });

exports.FileList = FileList;
