'use client';
var jsxRuntime = require('react/jsx-runtime');
var material = require('@mui/material');

/**
 * `Breadcrumb` 是一個導航元件，用於顯示當前系統層級結構中的路徑位置。
 */ const BreadCrumb = ({ routes = [] })=>/*#__PURE__*/ jsxRuntime.jsxs(material.Box, {
        children: [
            /*#__PURE__*/ jsxRuntime.jsx(material.Typography, {
                variant: "h4",
                sx: {
                    fontWeight: 'bold'
                },
                children: routes[routes.length - 1].label
            }),
            /*#__PURE__*/ jsxRuntime.jsx(material.Breadcrumbs, {
                children: routes.filter((_, index)=>index !== routes.length - 1).map((route)=>/*#__PURE__*/ jsxRuntime.jsx(material.Typography, {
                        variant: "subtitle1",
                        color: "text.secondary",
                        children: route.label
                    }, route.label))
            })
        ]
    });
if (process.env.NODE_ENV !== 'production') {
    BreadCrumb.displayName = 'GwBreadCrumb';
}

exports.BreadCrumb = BreadCrumb;
